SystemOrganization addCategory: #ConfigurationOfPetitParser!

Object subclass: #ConfigurationOfPetitParser
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfPetitParser'!

!ConfigurationOfPetitParser class methodsFor: 'private' stamp: 'FabrizioPerin 4/27/2010 15:04'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfPetitParser class methodsFor: 'metacello tool support' stamp: 'tg 4/18/2010 23:51'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfPetitParser class methodsFor: 'loading' stamp: 'tg 4/18/2010 23:51'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfPetitParser class methodsFor: 'accessing' stamp: 'tg 4/18/2010 23:51'!
project

	^self new project! !

!ConfigurationOfPetitParser methodsFor: 'baselines' stamp: 'simondenier 9/24/2010 17:36'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://source.lukas-renggli.ch/petit'.
		spec 
			package: 'PetitParser';
			package: 'PetitTests' with: [spec requires: 'PetitParser'];
			package: 'PetitAnalyzer' with: [spec requires: 'PetitTests'].
		spec group: 'Core' with: #( 'PetitParser' 'PetitAnalyzer' ).
		spec group: 'Tests' with: #( 'PetitTests' 'PetitAnalyzer' ).
		spec package: 'PetitGui' with:[
			spec repository: 'http://source.lukas-renggli.ch/petit'.
			spec requires: 'Glamour for Petit'].
		spec project: 'Glamour for Petit' with: [
				spec
					className: 'ConfigurationOfGlamour';
					file: 'ConfigurationOfGlamour';
					version: 'default';
					repository: 'http://www.squeaksource.com/Glamour' ].
	]! !

!ConfigurationOfPetitParser methodsFor: 'accessing' stamp: 'tg 4/18/2010 23:50'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfPetitParser methodsFor: 'versions' stamp: 'jannik.laval 9/14/2010 11:49'!
version10: spec
	<version: '1.0' imports: #('default')>

	spec for: #common do: [
		spec author: 'jannik.laval'.
		spec timestamp: '9/14/2010 11:42'.
		spec blessing: #development.
		spec project: 'Glamour for Petit' with: '2.0-beta.7'.
		spec 
			package: 'PetitParser';
			package: 'PetitTests';
			package: 'PetitAnalyzer';
			package: 'PetitGui'.].! !
